Home / Lua API Manual / types / dt_lua_snapshot_t
< dt_lua_orientation_t
dt_lua_tag_t >

# dt_lua_snapshot_t

`dt_type`

The description of a snapshot in the snapshot lib

Attributes:

has_tostring

# 🔗dt_lua_snapshot_t.filename

`string`

The filename of an image containing the snapshot

# 🔗dt_lua_snapshot_t.select

    self:function(
    )

Activates this snapshot on the display. To deactivate all snapshot you need to call this function on the active snapshot

- self - types.dt_lua_snapshot_t - The snapshot to activate

# 🔗dt_lua_snapshot_t.name

`string`

The name of the snapshot, as seen in the UI

< dt_lua_orientation_t
dt_lua_tag_t >